module.exports = {
  create: {
    requestBody: ["!car_no", "!money", "!item", "!date", "status", "remark"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!car_no", "!money", "!item", "!date", "status", "remark"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        car_no: "%car_no%",
        money: "money",
        item: "%item%",
        'date@start': "date@start",
        'date@end': "date@end",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
