module.exports = {
  create: {
    requestBody: [
      "!name",
      "!legal",
      "!mobile",
      "address",
      "account_bank",
      "account",
      "taxes_no",
      "!type",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!name",
      "!legal",
      "!mobile",
      "address",
      "account_bank",
      "account",
      "taxes_no",
      "!type",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "%name%",
        legal: "%legal%",
        mobile: "mobile",
        type: "type",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
