module.exports = {
  create: {
    requestBody: [
      "!name",
      "!route",
      "!price",
      "!is_lf",
      "send_type",
      "computed_type",
      "status",
      "!owner",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!name",
      "!route",
      "!price",
      "!is_lf",
      "send_type",
      "computed_type",
      "status",
      "!owner",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "%name%",
        route: "route",
        price: "price",
        is_lf: "is_lf",
        send_type: "send_type",
        computed_type: "computed_type",
        status: "status",
        owner: "owner",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
